ros-rolling-ros2component (0.40.0-1noble) noble; urgency=high

  * fix setuptools deprecations (#1066 <https://github.com/ros2/ros2cli/issues/1066>)
  * Contributors: mosfet80

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 29 Jul 2025 00:00:00 -0000

ros-rolling-ros2component (0.39.2-1noble) noble; urgency=high

  * Make sure to install py.typed files (#1058 <https://github.com/ros2/ros2cli/issues/1058>)
  * Contributors: Christophe Bedard

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 01 Jul 2025 00:00:00 -0000

ros-rolling-ros2component (0.39.1-1noble) noble; urgency=high

  * Export Typing information (#1041 <https://github.com/ros2/ros2cli/issues/1041>)
  * Contributors: Michael Carlstrom

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 19 Jun 2025 00:00:00 -0000

ros-rolling-ros2component (0.39.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 25 Apr 2025 00:00:00 -0000

ros-rolling-ros2component (0.38.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 25 Apr 2025 00:00:00 -0000

ros-rolling-ros2component (0.37.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 02 Feb 2025 00:00:00 -0000

ros-rolling-ros2component (0.36.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 20 Dec 2024 00:00:00 -0000

ros-rolling-ros2component (0.36.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 20 Nov 2024 00:00:00 -0000

ros-rolling-ros2component (0.35.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 03 Oct 2024 00:00:00 -0000

ros-rolling-ros2component (0.34.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 29 Jul 2024 00:00:00 -0000

ros-rolling-ros2component (0.34.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 17 Jun 2024 00:00:00 -0000

ros-rolling-ros2component (0.33.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 26 Apr 2024 00:00:00 -0000

ros-rolling-ros2component (0.32.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 16 Apr 2024 00:00:00 -0000

ros-rolling-ros2component (0.31.2-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 27 Mar 2024 00:00:00 -0000

ros-rolling-ros2component (0.31.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 07 Feb 2024 00:00:00 -0000

ros-rolling-ros2component (0.31.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 24 Jan 2024 00:00:00 -0000

ros-rolling-ros2component (0.30.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 26 Dec 2023 00:00:00 -0000

ros-rolling-ros2component (0.30.0-1noble) noble; urgency=high

  * Warning: get_parameter_value() is deprecated. (#866 <https://github.com/ros2/ros2cli/issues/866>)
  * Contributors: Tomoya Fujita

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 06 Nov 2023 00:00:00 -0000

ros-rolling-ros2component (0.29.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 04 Oct 2023 00:00:00 -0000

ros-rolling-ros2component (0.29.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-ros2component (0.28.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-ros2component (0.27.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 07 Jun 2023 00:00:00 -0000

ros-rolling-ros2component (0.26.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 11 May 2023 00:00:00 -0000

ros-rolling-ros2component (0.26.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-ros2component (0.25.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 18 Apr 2023 00:00:00 -0000

ros-rolling-ros2component (0.24.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 12 Apr 2023 00:00:00 -0000

ros-rolling-ros2component (0.24.0-1noble) noble; urgency=high

  * Enable document generation using rosdoc2 (#811 <https://github.com/ros2/ros2cli/issues/811>)
  * Contributors: Yadu

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-rolling-ros2component (0.23.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 02 Mar 2023 00:00:00 -0000

ros-rolling-ros2component (0.22.0-1noble) noble; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#776 <https://github.com/ros2/ros2cli/issues/776>)
  * Contributors: Audrow Nash

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-ros2component (0.21.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-ros2component (0.20.0-1noble) noble; urgency=high

  * Fix the component load help to mention load, not unload. (#756 <https://github.com/ros2/ros2cli/issues/756>)
  * Remove unused arguments from ros2 component types. (#711 <https://github.com/ros2/ros2cli/issues/711>)
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-ros2component (0.19.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-rolling-ros2component (0.18.3-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 08 Apr 2022 00:00:00 -0000

ros-rolling-ros2component (0.18.2-1noble) noble; urgency=high

  * Add timeout to kill hanging tests (#701 <https://github.com/ros2/ros2cli/issues/701>)
  * Contributors: Audrow Nash

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 30 Mar 2022 00:00:00 -0000

ros-rolling-ros2component (0.18.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 28 Mar 2022 00:00:00 -0000

ros-rolling-ros2component (0.18.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-ros2component (0.17.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 25 Jan 2022 00:00:00 -0000

ros-rolling-ros2component (0.17.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 25 Jan 2022 00:00:00 -0000

ros-rolling-ros2component (0.16.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-ros2component (0.16.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-ros2component (0.15.0-1noble) noble; urgency=high

  * Update maintainers to Aditya Pande, Audrow Nash, and Michael Jeronimo (#673 <https://github.com/ros2/ros2cli/issues/673>)
  * Updated maintainers (#670 <https://github.com/ros2/ros2cli/issues/670>)
  * Drop deprecated get_container_components_info() API. (#647 <https://github.com/ros2/ros2cli/issues/647>)
  * Add changelogs (#635 <https://github.com/ros2/ros2cli/issues/635>)
  * Contributors: Aditya Pande, Audrow Nash, Ivan Santiago Paunovic, Michel Hidalgo

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 18 Nov 2021 00:00:00 -0000

ros-rolling-ros2component (0.14.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 26 Apr 2021 00:00:00 -0000

ros-rolling-ros2component (0.13.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-rolling-ros2component (0.12.0-1noble) noble; urgency=high

  * Remove maintainer. (#597 <https://github.com/ros2/ros2cli/issues/597>)
  * Add Audrow as a maintainer. (#591 <https://github.com/ros2/ros2cli/issues/591>)
  * Contributors: Audrow Nash, Claire Wang

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 02 Mar 2021 00:00:00 -0000

ros-rolling-ros2component (0.11.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-rolling-ros2component (0.10.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 08 Dec 2020 00:00:00 -0000

ros-rolling-ros2component (0.10.0-1noble) noble; urgency=high

  * Update maintainers. (#568 <https://github.com/ros2/ros2cli/issues/568>)
  * Ensure consistent timeout in ros2component list. (#526 <https://github.com/ros2/ros2cli/issues/526>)
  * Contributors: Claire Wang, Michel Hidalgo

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 02 Nov 2020 00:00:00 -0000

ros-rolling-ros2component (0.9.5-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 01 Jun 2020 00:00:00 -0000

ros-rolling-ros2component (0.9.4-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-rolling-ros2component (0.9.3-1noble) noble; urgency=high

  * Make CLI more robust to discovery latency. (#494 <https://github.com/ros2/ros2cli/issues/494>)
  * Contributors: Michel Hidalgo

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 13 May 2020 00:00:00 -0000

ros-rolling-ros2component (0.9.2-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 08 May 2020 00:00:00 -0000

ros-rolling-ros2component (0.9.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 06 May 2020 00:00:00 -0000

ros-rolling-ros2component (0.9.0-1noble) noble; urgency=high

  * More verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Only load required entry points which improves the performance. (#436 <https://github.com/ros2/ros2cli/issues/436>)
    * Extend API to exclude extensions from loading
    * Add add_subparsers_on_demand() function
    * Update all extensions to use the new API
    * Deprecate old API, add deprecation warnings
  * Contributors: Dirk Thomas

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 29 Apr 2020 00:00:00 -0000

ros-rolling-ros2component (0.8.6-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 19 Nov 2019 00:00:00 -0000

ros-rolling-ros2component (0.8.5-1noble) noble; urgency=high

  * 0.8.5
  * Contributors: Shane Loretz

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 14 Nov 2019 00:00:00 -0000

ros-rolling-ros2component (0.8.4-1noble) noble; urgency=high

  * 0.8.4
  * Add service clients to ros2node info. (#392 <https://github.com/ros2/ros2cli/issues/392>)
  * Contributors: Michael Carroll, Mikael Arguedas

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 13 Nov 2019 00:00:00 -0000

ros-rolling-ros2component (0.8.3-1noble) noble; urgency=high

  * 0.8.3
  * [ros2node] Add option to info verb to display hidden names. (#373 <https://github.com/ros2/ros2cli/issues/373>)
    * [ros2node] Add option to info verb to display hidden names
    Changes behavior so that hidden names are not shown by default.
    * Update ros2component to request hidden service names
    Which it uses for identifier component containers.
  * Contributors: Jacob Perron, Shane Loretz

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-rolling-ros2component (0.8.2-1noble) noble; urgency=high

  * 0.8.2
  * Contributors: Dirk Thomas

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 08 Oct 2019 00:00:00 -0000

ros-rolling-ros2component (0.8.1-1noble) noble; urgency=high

  * 0.8.1
  * Contributors: Michael Carroll

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 04 Oct 2019 00:00:00 -0000

ros-rolling-ros2component (0.8.0-1noble) noble; urgency=high

  * Install resource marker file for packages. (#339 <https://github.com/ros2/ros2cli/issues/339>)
  * Handle find_container_node_names error. (#322 <https://github.com/ros2/ros2cli/issues/322>)
  * Update setup.py version. (#331 <https://github.com/ros2/ros2cli/issues/331>)
    Versions now match latest tag and package.xml.
  * Install package manifest. (#330 <https://github.com/ros2/ros2cli/issues/330>)
  * Use of -r/--remap flags where appropriate. (#325 <https://github.com/ros2/ros2cli/issues/325>)
  * Contributors: Dirk Thomas, Jacob Perron, Michel Hidalgo, ivanpauno

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 26 Sep 2019 00:00:00 -0000

ros-rolling-ros2component (0.7.4-1noble) noble; urgency=high

  * [ros2component] Stop the standalone container when load fails. (#269 <https://github.com/ros2/ros2cli/issues/269>)
    * Stop the standalone container when load fails
    This prevents zombie container processes from hanging around when a
    component fails to load.
    Closes: ros2/ros2cli#260 <https://github.com/ros2/ros2cli/issues/260>
  * Fix service names to contain 'srv' namespace part. (#249 <https://github.com/ros2/ros2cli/issues/249>)
  * Contributors: Dirk Thomas, Michael Carroll

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 29 May 2019 00:00:00 -0000

ros-rolling-ros2component (0.7.3-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 20 May 2019 00:00:00 -0000

ros-rolling-ros2component (0.7.2-1noble) noble; urgency=high

  * Add xmllint linter test. (#232 <https://github.com/ros2/ros2cli/issues/232>)
    * Add xmllint test to ament_python packages
    * Cover new packages as well
  * Fix name of standalone verb. (#227 <https://github.com/ros2/ros2cli/issues/227>)
  * Improve ros2 component CLI. (#226 <https://github.com/ros2/ros2cli/issues/226>)
    * Refactor ros2component internal API for reuse.
    In preparation for a standalone verb.
    * Add ros2component standalone verb.
    * Clean up ros2component dependencies.
    * Improve ros2component CLI verbs usability.
    * Address peer review comments.
  * Contributors: Michel Hidalgo, Mikael Arguedas

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 08 May 2019 00:00:00 -0000

ros-rolling-ros2component (0.7.1-1noble) noble; urgency=high

  * Fix component package version.
  * Fix component arguments to be inline with service. (#220 <https://github.com/ros2/ros2cli/issues/220>)
  * Add Component CLI. (#217 <https://github.com/ros2/ros2cli/issues/217>)
    * Add ros2 component CLI verb package.
    * Fix ros2 component CLI verbs.
    * Improve ros2component CLI verbs and api documentation and style.
    * Add ros2component dummy API tests.
  * Contributors: Michael Carroll, Michel Hidalgo

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 17 Apr 2019 00:00:00 -0000

ros-rolling-ros2component (0.7.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 14 Apr 2019 00:00:00 -0000

ros-rolling-ros2component (0.6.3-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 08 Feb 2019 00:00:00 -0000

ros-rolling-ros2component (0.6.2-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 12 Dec 2018 00:00:00 -0000

ros-rolling-ros2component (0.6.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 06 Dec 2018 00:00:00 -0000

ros-rolling-ros2component (0.6.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 19 Nov 2018 00:00:00 -0000

ros-rolling-ros2component (0.5.4-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 20 Aug 2018 00:00:00 -0000

ros-rolling-ros2component (0.5.3-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 17 Jul 2018 00:00:00 -0000

ros-rolling-ros2component (0.5.2-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 28 Jun 2018 00:00:00 -0000

ros-rolling-ros2component (0.5.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 27 Jun 2018 12:27:00 -0000

ros-rolling-ros2component (0.5.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 27 Jun 2018 12:17:00 -0000

ros-rolling-ros2component (0.4.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 08 Dec 2017 00:00:00 -0000


